diff options
Diffstat (limited to 'find-requires.in')
-rwxr-xr-x | find-requires.in | 5 |
1 files changed, 5 insertions, 0 deletions
diff --git a/find-requires.in b/find-requires.in index b091797..008f34e 100755 --- a/find-requires.in +++ b/find-requires.in @@ -231,6 +231,11 @@ fi echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/pkgconfigdeps.sh -R | sort -u \ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/pkgconfigdeps.sh failed' >&2 && exit 1 +# +# --- typelib() gobject-introspection bindings +[ -q @RPMVENDORDIR@/gi-find-deps.sh ] && + echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/gi-find-deps.sh -R | sort -u \ + && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/gi-find-deps.sh failed' >&2 && exit 1 if [ -n "$LIBTOOLDEP" ]; then # |